FalsePosition Class Reference

False position 1-D solver. More...

`#include <ql/math/solvers1d/falseposition.hpp>`

Inheritance diagram for FalsePosition:
[legend]

## Public Member Functions

template<class F >
Real | solveImpl (const F &f, Real xAccuracy) const
Public Member Functions inherited from Solver1D< FalsePosition >
Real | solve (const F &f, Real accuracy, Real guess, Real step) const
Real | solve (const F &f, Real accuracy, Real guess, Real xMin, Real xMax) const
void | setMaxEvaluations (Size evaluations)
void | setLowerBound (Real lowerBound)
| sets the lower bound for the function domain
void | setUpperBound (Real upperBound)
| sets the upper bound for the function domain

## Additional Inherited Members

Protected Member Functions inherited from CuriouslyRecurringTemplate< FalsePosition >
FalsePosition & | impl ()
const FalsePosition & | impl () const
Protected Attributes inherited from Solver1D< FalsePosition >
Real | root_
Real | xMin_
Real | xMax_
Real | fxMin_
Real | fxMax_
Size | maxEvaluations_
Size | evaluationNumber_

## Detailed Description

False position 1-D solver.

Tests:
  the correctness of the returned values is tested by checking them against known good results.